%bcond_without check
%{?python_enable_dependency_generator}

Name:           rust-packaging
Version:        6
Release:        %mkrel 1
Summary:        RPM macros for building Rust packages on various architectures
%if 0%{?mageia}
Group:          System/Packaging
%endif
License:        MIT
URL:            https://pagure.io/fedora-rust/rust2rpm
Source0:        https://releases.pagure.org/fedora-rust/rust2rpm/rust2rpm-%{version}.tar.xz

# Upstream requires Python 3.6+, those patches help with 3.5 compat
Patch0:         0001-Replace-f-strings-by-old-format-for-Python-3.5-compa.patch
Patch1:         rust2rpm-6-fix-test-with-python3.5.patch

# (akien) Already required by rpm-mageia-config-build-2.20-9.1.mga6,
# but it's being validated at the same time as this package is introduced.
BuildRequires:  rust-srpm-macros

BuildArch:      noarch
ExclusiveArch:  %{rust_arches} noarch

# gawk is needed for stripping dev-deps in macro, 4.1.0 is needed for inplace feature
Requires:       gawk >= 4.1.0
Requires:       python3-rust2rpm = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       rust-srpm-macros = %{version}
Requires:       rust
Requires:       cargo

# (akien) rust-rpm-macros was split in rust-packaging and rust-srpm-macros
Obsoletes:      rust-rpm-macros < 3-1

%description
The package provides macros for building projects in Rust
on various architectures.

%package     -n python3-rust2rpm
Summary:        Convert Rust packages to RPM
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  cargo
BuildRequires:  python3-semantic_version
BuildRequires:  python3-rustcfg
%endif
Requires:       cargo
Obsoletes:      rust2rpm < 1-8
Provides:       rust2rpm = %{version}-%{release}
%{?python_provide:%python_provide python3-rust2rpm}

%description -n python3-rust2rpm
%{summary}.

%prep
%autosetup -n rust2rpm-%{version} -p1

%build
%py3_build

%install
%py3_install
install -D -p -m 0644 -t %{buildroot}%{_rpmconfigdir}/macros.d data/macros.rust data/macros.cargo
install -D -p -m 0644 -t %{buildroot}%{_rpmconfigdir}/fileattrs data/cargo.attr

%if %{with check}
%check
py.test-%{python3_version} -vv test.py
%endif

%files
%{_rpmconfigdir}/macros.d/macros.rust
%{_rpmconfigdir}/macros.d/macros.cargo
%{_rpmconfigdir}/fileattrs/cargo.attr

%files -n python3-rust2rpm
%license LICENSE
%{_bindir}/rust2rpm
%{_bindir}/cargo-inspector
%{python3_sitelib}/rust2rpm-*.egg-info/
%{python3_sitelib}/rust2rpm/


%changelog
* Tue Sep 11 2018 akien <akien> 6-1.mga6
  (not released yet)
+ Revision: 1258325
- Version 6
- Bring rust-packaging to Mageia 6

* Mon Jul 24 2017 akien <akien> 4-2.mga7
+ Revision: 1130359
- Do not provide old rust-rpm-macros
- Obsolete previous rust-rpm-macros package
- Adapt for Mageia packaging policy
- import rust-packaging from Fedora

